MPE(4)

NAME
mpe - MPLS Provider Edge

SYNOPSIS
pseudo-device mpe

DESCRIPTION
The mpe interface is a Multiprotocol Label Switching (MPLS) Provider Edge pseudo-device used to enter and leave an MPLS domain.

An mpe interface can be created at runtime using the ifconfig mpeN create command or by setting up a hostname.if(5) configuration file for netstart(8). The interface itself can be configured with ifconfig(8); see its manual page for more information.

mpe interfaces support the following unique ioctls:

SIOCSETLABEL
    Encapsulate packets entering this interface in MPLS using the specified label.

SIOCGETLABEL
    Report the label that packets entering this interface will be tagged with.

SEE ALSO
sysctl(3), hostname.if(5), ifconfig(8), ldpd(8), netstart(8)

HISTORY
The mpe device first appeared in OpenBSD 4.4.

AUTHORS
The mpe driver was written by Pierre-Yves Ritschard <pyr@openbsd.org>.